<?php

	//-------------------------------------------------------------------------
	$NB_sondes = 1 ;
		
	$p_aqcm_SITE_ID			= $_POST["aqcm_SITE_ID"];
	$p_aqcm_MAC				= $_POST["aqcm_MAC"];
	$p_aqcm_NAME				= $_POST["aqcm_NAME"];
	$p_aqcm_SERVER_PWD		= $_POST["aqcm_SERVER_PWD"];

	$p_annee  				= $_POST["annee"];
	$p_mois   				= $_POST["mois"];
	$p_jour   				= $_POST["jour"];
	$p_echelle_temps			= $_POST["echelle_temps"];

	$show_mini_maxi			= isset($_POST["show_mini_maxi"]) ? "true" : "false";
	$show_tooltip_status	= isset($_POST["show_tooltip_status"]) ? "true" : "false";
	$show_triggers_status	= isset($_POST["show_triggers"])       ?  true  :  false ;

	$scheduled_status		= isset($_POST["scheduled_status"]) ? true : false;
	$mode_simplifie			= isset($_POST["mode_simplifie"]) ? true : false;
	
	//-------------------------------------------------------------------------
	$couleurs = ["#008020", "#20FF80", "#FFFF00", "#FF8000", "#FF0000", "#FF00FF", "#00FFFF"] ;
	include('../M0/AQCM_get_seuils_from_ext.php');
	$CO2_TRIG_VALUE[0] = intval($aqcm_CO2_TRIG_0) ;
	$CO2_TRIG_VALUE[1] = intval($aqcm_CO2_TRIG_1) ;
	$CO2_TRIG_VALUE[2] = intval($aqcm_CO2_TRIG_2) ;
	$CO2_TRIG_VALUE[3] = intval($aqcm_CO2_TRIG_3) ;
	$CO2_TRIG_VALUE[4] = intval($aqcm_CO2_TRIG_4) ;
	$CO2_TRIG_VALUE[5] = intval($aqcm_CO2_TRIG_5) ;


	//-------------------------------------------------------------------------
	if ( $show_triggers_status ) {
		include('../M0/AQCM_get_seuils_1.php'); 
	} else {
		include('../M0/AQCM_hide_seuils.php'); 
	}

	//-------------------------------------------------------------------------
	if ( $scheduled_status && $mode_simplifie ) {
		include ("graphiques_one_sonde_scheduled_from_ext.php");
	}
	else {
		include ("graphiques_one_sonde_commun_1.php");
		include ("graphiques_one_sonde_commun_2.php");//
	}

	//-------------------------------------------------------------------------

?>
		


